Loading...
Searching...
No Matches
Opm::ScheduleBlock Class Reference

## Public Member Functions

| ScheduleBlock (const KeywordLocation &location, ScheduleTimeType time_type, const time_point &start_time)
std::size_t | size () const
void | push_back (const DeckKeyword &keyword)
std::optional< DeckKeyword > | get (const std::string &kw) const
const time_point & | start_time () const
const std::optional< time_point > & | end_time () const
void | end_time (const time_point &t)
ScheduleTimeType | time_type () const
const KeywordLocation & | location () const
const DeckKeyword & | operator[] (const std::size_t index) const
std::vector< DeckKeyword >::const_iterator | begin () const
std::vector< DeckKeyword >::const_iterator | end () const
bool | operator== (const ScheduleBlock &other) const
void | clearKeywords ()
template<class Serializer>
void | serializeOp (Serializer &serializer)
void | dump_deck (const UnitSystem &usys, DeckOutput &output, time_point &current_time) const

## Static Public Member Functions

static ScheduleBlock | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ScheduleBlock.hpp
- opm/input/eclipse/Schedule/ScheduleBlock.cpp